Index: branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c
===================================================================
--- branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c	(revision 530)
+++ branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c	(revision 531)
@@ -1884,168 +2254,215 @@
        * stored in the Reference map value.
        */
-      map* testMap=getMap(m->content,"requestedMimeType");
-      if(testMap!=NULL){
-	HINTERNET hInternet;
-	char* tmpValue;
-	size_t dwRead;
-	hInternet=InternetOpen(
+          map *testMap = getMap (m->content, "requestedMimeType");
+          if (testMap != NULL)
+            {
+              HINTERNET hInternet;
+              char *tmpValue;
+              size_t dwRead;
+              hInternet = InternetOpen (
 #ifndef WIN32
-			       (LPCTSTR)
-#endif
-			       "ZooWPSClient\0",
-			       INTERNET_OPEN_TYPE_PRECONFIG,
-			       NULL,NULL, 0);
-	testMap=getMap(m->content,"Reference");
-	loadRemoteFile(&m,&m->content,&hInternet,testMap->value);
-	processDownloads(&hInternet);
-	tmpValue=(char*)malloc((hInternet.ihandle[0].nDataLen+1)*sizeof(char));
-	InternetReadFile(hInternet.ihandle[0],(LPVOID)tmpValue,hInternet.ihandle[0].nDataLen,&dwRead);
-	InternetCloseHandle(&hInternet);
-      }
-#endif
-      map* tmp1=getMap(m->content,"encoding");
-      map* tmp2=getMap(m->content,"mimeType");
-      map* tmp3=getMap(m->content,"value");
-      int hasValue=1;
-      if(tmp3==NULL){
-	tmp3=createMap("value","");
-	hasValue=-1;
-      }
-      if((tmp1!=NULL && strncmp(tmp1->value,"base64",6)==0)
-	 || (tmp2!=NULL && (strncmp(tmp2->value,"image/",6)==0 ||
-			    (strncmp(tmp2->value,"application/",12)==0 &&
-			     strncmp(tmp2->value,"application/json",16)!=0&&
-			     strncmp(tmp2->value,"application/x-javascript",24)!=0&&
-			     strncmp(tmp2->value,"application/vnd.google-earth.kml",32)!=0))
-	     )) {
-	map* rs=getMap(m->content,"size");
-	bool isSized=true;
-	if(rs==NULL){
-	  char tmp1[1024];
-	  sprintf(tmp1,"%u",strlen(tmp3->value));
-	  rs=createMap("size",tmp1);
-	  isSized=false;
-	}
-
-	xmlAddChild(nc3,xmlNewText(BAD_CAST base64(tmp3->value, atoi(rs->value))));
-	if(tmp1==NULL || (tmp1!=NULL && strncmp(tmp1->value,"base64",6)!=0))
-	  xmlNewProp(nc3,BAD_CAST "encoding",BAD_CAST "base64");
-	if(!isSized){
-	  freeMap(&rs);
-	  free(rs);
-	}
-      }
-      else if(tmp2!=NULL){
-	if(strncmp(tmp2->value,"text/js",7)==0 ||
-	   strncmp(tmp2->value,"application/json",16)==0)
-	  xmlAddChild(nc3,xmlNewCDataBlock(doc,BAD_CAST tmp3->value,strlen(tmp3->value)));
-	else{
-	  if(strncmp(tmp2->value,"text/xml",8)==0 ||
-	     strncmp(tmp2->value,"application/vnd.google-earth.kml",32)==0){
-	    int li=zooXmlAddDoc(tmp3->value);
-	    xmlDocPtr doc = iDocs[li];
-	    xmlNodePtr ir = xmlDocGetRootElement(doc);
-	    xmlAddChild(nc3,ir);
-	  }
-	  else
-	    xmlAddChild(nc3,xmlNewText(BAD_CAST tmp3->value));
-	}
-	xmlAddChild(nc2,nc3);
-      }
-      else{
-	xmlAddChild(nc3,xmlNewText(BAD_CAST tmp3->value));
-      }
-      if(hasValue<0){
-	freeMap(&tmp3);
-	free(tmp3);
-      }
-    }
-  }
-  else{
-    tmpMap=getMap(m->content,"Reference");
-    nc3=nc2=xmlNewNode(ns_wps, BAD_CAST "Reference");
-    if(strcasecmp(type,"Output")==0)
-      xmlNewProp(nc3,BAD_CAST "href",BAD_CAST tmpMap->value);
-    else
-      xmlNewNsProp(nc3,ns_xlink,BAD_CAST "href",BAD_CAST tmpMap->value);
-    tmp=m->content;
+                                         (LPCTSTR)
+#endif
+                                         "ZooWPSClient\0",
+                                         INTERNET_OPEN_TYPE_PRECONFIG,
+                                         NULL, NULL, 0);
+              testMap = getMap (m->content, "Reference");
+              loadRemoteFile (&m, &m->content, &hInternet, testMap->value);
+              processDownloads (&hInternet);
+              tmpValue =
+                (char *) malloc ((hInternet.ihandle[0].nDataLen + 1) *
+                                 sizeof (char));
+              InternetReadFile (hInternet.ihandle[0], (LPVOID) tmpValue,
+                                hInternet.ihandle[0].nDataLen, &dwRead);
+              InternetCloseHandle (&hInternet);
+            }
+#endif
+          map *tmp1 = getMap (m->content, "encoding");
+          map *tmp2 = getMap (m->content, "mimeType");
+          map *tmp3 = getMap (m->content, "value");
+          int hasValue = 1;
+          if (tmp3 == NULL)
+            {
+              tmp3 = createMap ("value", "");
+              hasValue = -1;
+            }
+          if ((tmp1 != NULL && strncmp (tmp1->value, "base64", 6) == 0)
+              || (tmp2 != NULL && (strncmp (tmp2->value, "image/", 6) == 0 ||
+                                   (strncmp (tmp2->value, "application/", 12)
+                                    == 0
+                                    && strncmp (tmp2->value,
+                                                "application/json", 16) != 0
+                                    && strncmp (tmp2->value,
+                                                "application/x-javascript",
+                                                24) != 0
+                                    && strncmp (tmp2->value,
+                                                "application/vnd.google-earth.kml",
+                                                32) != 0))))
+            {
+              map *rs = getMap (m->content, "size");
+              bool isSized = true;
+              if (rs == NULL)
+                {
+                  char tmp1[1024];
+                  sprintf (tmp1, "%u", strlen (tmp3->value));
+                  rs = createMap ("size", tmp1);
+                  isSized = false;
+                }
+
+              xmlAddChild (nc3,
+                           xmlNewText (BAD_CAST
+                                       base64 (tmp3->value,
+                                               atoi (rs->value))));
+              if (tmp1 == NULL
+                  || (tmp1 != NULL
+                      && strncmp (tmp1->value, "base64", 6) != 0))
+                xmlNewProp (nc3, BAD_CAST "encoding", BAD_CAST "base64");
+              if (!isSized)
+                {
+                  freeMap (&rs);
+                  free (rs);
+                }
+            }
+          else if (tmp2 != NULL)
+            {
+              if (strncmp (tmp2->value, "text/js", 7) == 0 ||
+                  strncmp (tmp2->value, "application/json", 16) == 0)
+                xmlAddChild (nc3,
+                             xmlNewCDataBlock (doc, BAD_CAST tmp3->value,
+                                               strlen (tmp3->value)));
+              else
+                {
+                  if (strncmp (tmp2->value, "text/xml", 8) == 0 ||
+                      strncmp (tmp2->value,
+                               "application/vnd.google-earth.kml", 32) == 0)
+                    {
+                      int li = zooXmlAddDoc (tmp3->value);
+                      xmlDocPtr doc = iDocs[li];
+                      xmlNodePtr ir = xmlDocGetRootElement (doc);
+                      xmlAddChild (nc3, ir);
+                    }
+                  else
+                    xmlAddChild (nc3, xmlNewText (BAD_CAST tmp3->value));
+                }
+              xmlAddChild (nc2, nc3);
+            }
+          else
+            {
+              xmlAddChild (nc3, xmlNewText (BAD_CAST tmp3->value));
+            }
+          if (hasValue < 0)
+            {
+              freeMap (&tmp3);
+              free (tmp3);
+            }
+        }
+    }
+  else
+    {
+      tmpMap = getMap (m->content, "Reference");
+      nc3 = nc2 = xmlNewNode (ns_wps, BAD_CAST "Reference");
+      if (strcasecmp (type, "Output") == 0)
+        xmlNewProp (nc3, BAD_CAST "href", BAD_CAST tmpMap->value);
+      else
+        xmlNewNsProp (nc3, ns_xlink, BAD_CAST "href", BAD_CAST tmpMap->value);
+      tmp = m->content;
 #ifdef USE_MS
-    map* testMap=getMap(tmp,"requestedMimeType");
-#endif
-    while(tmp!=NULL){
-      if(strcasecmp(tmp->name,"mimeType")==0 ||
-	 strcasecmp(tmp->name,"encoding")==0 ||
-	 strcasecmp(tmp->name,"schema")==0 ||
-	 strcasecmp(tmp->name,"datatype")==0 ||
-	 strcasecmp(tmp->name,"uom")==0){
+      map *testMap = getMap (tmp, "requestedMimeType");
+#endif
+      while (tmp != NULL)
+        {
+          if (strcasecmp (tmp->name, "mimeType") == 0 ||
+              strcasecmp (tmp->name, "encoding") == 0 ||
+              strcasecmp (tmp->name, "schema") == 0 ||
+              strcasecmp (tmp->name, "datatype") == 0 ||
+              strcasecmp (tmp->name, "uom") == 0)
+            {
 #ifdef USE_MS
-	if(testMap!=NULL  && strncasecmp(testMap->value,"text/xml",8)!=0){
-	  if(strcasecmp(tmp->name,"mimeType")==0)
-	    xmlNewProp(nc3,BAD_CAST tmp->name,BAD_CAST testMap->value);
-	}
-	else
-#endif
-	  if(strcasecmp(tmp->name,"datatype")==0)
-	    xmlNewProp(nc3,BAD_CAST "mimeType",BAD_CAST "text/plain");
-	  else
-	    xmlNewProp(nc3,BAD_CAST tmp->name,BAD_CAST tmp->value);
-      }
-      tmp=tmp->next;
-      xmlAddChild(nc2,nc3);
-    }
-  }
-  xmlAddChild(nc1,nc2);
-  xmlAddChild(nc,nc1);
-
-}
-
-void printDescription(xmlNodePtr root,xmlNsPtr ns_ows,const char* identifier,map* amap){
-  xmlNodePtr nc2 = xmlNewNode(ns_ows, BAD_CAST "Identifier");
-  
-  xmlAddChild(nc2,xmlNewText(BAD_CAST identifier));
-  xmlAddChild(root,nc2);
-  map* tmp=amap;
+              if (testMap != NULL
+                  && strncasecmp (testMap->value, "text/xml", 8) != 0)
+                {
+                  if (strcasecmp (tmp->name, "mimeType") == 0)
+                    xmlNewProp (nc3, BAD_CAST tmp->name,
+                                BAD_CAST testMap->value);
+                }
+              else
+#endif
+              if (strcasecmp (tmp->name, "datatype") == 0)
+                xmlNewProp (nc3, BAD_CAST "mimeType", BAD_CAST "text/plain");
+              else
+                xmlNewProp (nc3, BAD_CAST tmp->name, BAD_CAST tmp->value);
+            }
+          tmp = tmp->next;
+          xmlAddChild (nc2, nc3);
+        }
+    }
+  xmlAddChild (nc1, nc2);
+  xmlAddChild (nc, nc1);
+
+}
+
+void
+printDescription (xmlNodePtr root, xmlNsPtr ns_ows, const char *identifier,
+                  map * amap)
+{
+  xmlNodePtr nc2 = xmlNewNode (ns_ows, BAD_CAST "Identifier");
+
+  xmlAddChild (nc2, xmlNewText (BAD_CAST identifier));
+  xmlAddChild (root, nc2);
+  map *tmp = amap;
   const char *tmp2[2];
-  tmp2[0]="Title";
-  tmp2[1]="Abstract";
-  int j=0;
-  for(j=0;j<2;j++){
-    map* tmp1=getMap(tmp,tmp2[j]);
-    if(tmp1!=NULL){
-      nc2 = xmlNewNode(ns_ows, BAD_CAST tmp2[j]);
-      xmlAddChild(nc2,xmlNewText(BAD_CAST _ss(tmp1->value)));
-      xmlAddChild(root,nc2);
-    }
-  }
-}
-
-char* getEncoding(maps* m){
-  if(m!=NULL){
-    map* tmp=getMap(m->content,"encoding");
-    if(tmp!=NULL){
-      return tmp->value;
-    }
-    else
-      return (char*)"UTF-8";
-  }
+  tmp2[0] = "Title";
+  tmp2[1] = "Abstract";
+  int j = 0;
+  for (j = 0; j < 2; j++)
+    {
+      map *tmp1 = getMap (tmp, tmp2[j]);
+      if (tmp1 != NULL)
+        {
+          nc2 = xmlNewNode (ns_ows, BAD_CAST tmp2[j]);
+          xmlAddChild (nc2, xmlNewText (BAD_CAST _ss (tmp1->value)));
+          xmlAddChild (root, nc2);
+        }
+    }
+}
+
+char *
+getEncoding (maps * m)
+{
+  if (m != NULL)
+    {
+      map *tmp = getMap (m->content, "encoding");
+      if (tmp != NULL)
+        {
+          return tmp->value;
+        }
+      else
+        return (char *) "UTF-8";
+    }
   else
-    return (char*)"UTF-8";  
-}
-
-char* getVersion(maps* m){
-  if(m!=NULL){
-    map* tmp=getMap(m->content,"version");
-    if(tmp!=NULL){
-      return tmp->value;
-    }
-    else
-      return (char*)"1.0.0";
-  }
+    return (char *) "UTF-8";
+}
+
+char *
+getVersion (maps * m)
+{
+  if (m != NULL)
+    {
+      map *tmp = getMap (m->content, "version");
+      if (tmp != NULL)
+        {
+          return tmp->value;
+        }
+      else
+        return (char *) "1.0.0";
+    }
   else
-    return (char*)"1.0.0";
-}
-
-void printExceptionReportResponse(maps* m,map* s){
-  if(getMapFromMaps(m,"lenv","hasPrinted")!=NULL)
+    return (char *) "1.0.0";
+}
+
+void
+printExceptionReportResponse (maps * m, map * s)
+{
+  if (getMapFromMaps (m, "lenv", "hasPrinted") != NULL)
     return;
   int buffersize;
